# ApplicationFramework
TKPLCAF
PDataStd

# PDataStd_ExtStringArray_1 Class Reference

`#include <PDataStd_ExtStringArray_1.hxx>`

Inheritance diagram for PDataStd_ExtStringArray_1:

[legend]

## Public Member Functions

Standard_EXPORT | PDataStd_ExtStringArray_1 ()
Standard_EXPORT void | Init (const Standard_Integer lower, const Standard_Integer upper)
Standard_EXPORT void | SetValue (const Standard_Integer Index, const Handle(PCollection_HExtendedString)&Value)
Standard_EXPORT Handle_PCollection_HExtendedString | Value (const Standard_Integer Index) const
Standard_EXPORT Standard_Integer | Lower () const
Standard_EXPORT Standard_Integer | Upper () const
Standard_EXPORT void | SetDelta (const Standard_Boolean delta)
Standard_EXPORT Standard_Boolean | GetDelta () const
| PDataStd_ExtStringArray_1 (const Storage_stCONSTclCOM &a)
| Handle (PColStd_HArray1OfExtendedString) _CSFDB_GetPDataStd_ExtStringArray_1myValue() const
void | _CSFDB_SetPDataStd_ExtStringArray_1myValue (const Handle(PColStd_HArray1OfExtendedString)&p)
Standard_Boolean | _CSFDB_GetPDataStd_ExtStringArray_1myDelta () const
void | _CSFDB_SetPDataStd_ExtStringArray_1myDelta (const Standard_Boolean p)
Standard_EXPORT const | Handle (Standard_Type)&DynamicType() const

## Private Attributes

Handle_PColStd_HArray1OfExtendedString | myValue
Standard_Boolean | myDelta

## Constructor & Destructor Documentation

Standard_EXPORT PDataStd_ExtStringArray_1::PDataStd_ExtStringArray_1 | ( |  | ) |

PDataStd_ExtStringArray_1::PDataStd_ExtStringArray_1 | ( | const Storage_stCONSTclCOM & | a | ) | `[inline]`

## Member Function Documentation

Standard_Boolean PDataStd_ExtStringArray_1::_CSFDB_GetPDataStd_ExtStringArray_1myDelta | ( |  | ) | const`[inline]`

void PDataStd_ExtStringArray_1::_CSFDB_SetPDataStd_ExtStringArray_1myDelta | ( | const Standard_Boolean | p | ) | `[inline]`

void PDataStd_ExtStringArray_1::_CSFDB_SetPDataStd_ExtStringArray_1myValue | ( | const Handle(PColStd_HArray1OfExtendedString)& | p | ) | `[inline]`

Standard_EXPORT Standard_Boolean PDataStd_ExtStringArray_1::GetDelta | ( |  | ) | const

Standard_EXPORT const PDataStd_ExtStringArray_1::Handle | ( | Standard_Type |  | ) | const

| Reimplemented from PDF_Attribute.

PDataStd_ExtStringArray_1::Handle | ( | PColStd_HArray1OfExtendedString |  | ) | const`[inline]`

Standard_EXPORT void PDataStd_ExtStringArray_1::Init | ( | const Standard_Integer | lower,
|  | const Standard_Integer | upper
| ) |

Standard_EXPORT Standard_Integer PDataStd_ExtStringArray_1::Lower | ( |  | ) | const

Standard_EXPORT void PDataStd_ExtStringArray_1::SetDelta | ( | const Standard_Boolean | delta | ) |

Standard_EXPORT void PDataStd_ExtStringArray_1::SetValue | ( | const Standard_Integer | Index,
|  | const Handle(PCollection_HExtendedString)& | Value
| ) |

Standard_EXPORT Standard_Integer PDataStd_ExtStringArray_1::Upper | ( |  | ) | const

Standard_EXPORT Handle_PCollection_HExtendedString PDataStd_ExtStringArray_1::Value | ( | const Standard_Integer | Index | ) | const

## Field Documentation

Standard_Boolean PDataStd_ExtStringArray_1::myDelta`[private]`

Handle_PColStd_HArray1OfExtendedString PDataStd_ExtStringArray_1::myValue`[private]`

The documentation for this class was generated from the following file:

- PDataStd_ExtStringArray_1.hxx